#pragma once
#ifndef PROBE_HPP
#define PROBE_HPP
#include <pybind11/pybind11.h>
#include <pybind11/numpy.h>
#include <pybind11/stl.h>
#include <deque>
#include <vector>
#include <vsrc.hpp>

namespace py = pybind11;
namespace qpropa = QOSM::Propagation;
namespace qpose = QOSM::Pose;
namespace qsrc = QOSM::Source;

double computeCollectedPower(const qsrc::VirtualSource &src, const qpose::VectorNx3 &aperturePoints, const array2d &apertureSize, const qpose::Vec3 &z_probe_src);
#endif